Bug 979700 - [abrt] claws-mail-3.9.1-2.fc18: gdk_window_set_geometry_hints: Process /usr/bin/claws-mail was killed by signal 11 (SIGSEGV)
[abrt] claws-mail-3.9.1-2.fc18: gdk_window_set_geometry_hints: Process /usr/b...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: claws-mail (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
http://www.thewildbeast.co.uk/claws-m...
abrt_hash:8c0e3d9b11291e1a815eb51b43f...
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-29 10:48 EDT by Charlie Bennett
Modified: 2013-07-22 21:17 EDT (History)
3 users (show)

See Also:
Fixed In Version: claws-mail-3.9.2-3.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-22 21:10:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (80.50 KB, text/plain)
2013-06-29 10:48 EDT, Charlie Bennett
no flags Details
File: cgroup (131 bytes, text/plain)
2013-06-29 10:48 EDT, Charlie Bennett
no flags Details
File: core_backtrace (1.59 KB, text/plain)
2013-06-29 10:48 EDT, Charlie Bennett
no flags Details
File: dso_list (16.62 KB, text/plain)
2013-06-29 10:48 EDT, Charlie Bennett
no flags Details
File: environ (1.87 KB, text/plain)
2013-06-29 10:48 EDT, Charlie Bennett
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-29 10:48 EDT, Charlie Bennett
no flags Details
File: maps (81.02 KB, text/plain)
2013-06-29 10:48 EDT, Charlie Bennett
no flags Details
File: open_fds (873 bytes, text/plain)
2013-06-29 10:48 EDT, Charlie Bennett
no flags Details
File: proc_pid_status (945 bytes, text/plain)
2013-06-29 10:48 EDT, Charlie Bennett
no flags Details
File: var_log_messages (1.17 KB, text/plain)
2013-06-29 10:48 EDT, Charlie Bennett
no flags Details
Email that can segfault the Fancy plugin (49.80 KB, message/rfc822)
2013-07-01 10:58 EDT, Charlie Bennett
no flags Details
email message that can cause the core in Fancy (49.78 KB, message/rfc822)
2013-07-01 11:06 EDT, Charlie Bennett
no flags Details

  None (edit)
Description Charlie Bennett 2013-06-29 10:48:27 EDT
Description of problem:

Reading a mail message via IMAP.

Image is HTML, so it's probably being presented by the Fancy plugin.

There's a picture in the message that I want.

Attempt Drag&Drop - no go.

Right click and select Save Image As...

Set directory and filename in the picker.  Click OPEN

BOOM  - segfault.


Happens every time.

Version-Release number of selected component:
claws-mail-3.9.1-2.fc18

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        claws-mail
crash_function: gdk_window_set_geometry_hints
executable:     /usr/bin/claws-mail
kernel:         3.9.6-200.fc18.x86_64
runlevel:       N 5
uid:            1001
xsession_errors: 

Truncated backtrace:
Thread no. 1 (6 frames)
 #0 gdk_window_set_geometry_hints at gdkwindow-x11.c:2361
 #1 gtk_window_move_resize at gtkwindow.c:6219
 #2 gtk_window_check_resize at gtkwindow.c:5408
 #4 _g_closure_invoke_va at gclosure.c:840
 #7 gtk_container_idle_sizer at gtkcontainer.c:1357
 #13 gtk_main at gtkmain.c:1257
Comment 1 Charlie Bennett 2013-06-29 10:48:30 EDT
Created attachment 766900 [details]
File: backtrace
Comment 2 Charlie Bennett 2013-06-29 10:48:33 EDT
Created attachment 766901 [details]
File: cgroup
Comment 3 Charlie Bennett 2013-06-29 10:48:35 EDT
Created attachment 766902 [details]
File: core_backtrace
Comment 4 Charlie Bennett 2013-06-29 10:48:38 EDT
Created attachment 766903 [details]
File: dso_list
Comment 5 Charlie Bennett 2013-06-29 10:48:41 EDT
Created attachment 766904 [details]
File: environ
Comment 6 Charlie Bennett 2013-06-29 10:48:44 EDT
Created attachment 766905 [details]
File: limits
Comment 7 Charlie Bennett 2013-06-29 10:48:47 EDT
Created attachment 766906 [details]
File: maps
Comment 8 Charlie Bennett 2013-06-29 10:48:49 EDT
Created attachment 766907 [details]
File: open_fds
Comment 9 Charlie Bennett 2013-06-29 10:48:52 EDT
Created attachment 766908 [details]
File: proc_pid_status
Comment 10 Charlie Bennett 2013-06-29 10:48:54 EDT
Created attachment 766909 [details]
File: var_log_messages
Comment 11 Michael Schwendt 2013-06-29 11:51:50 EDT
You forgot to attach the message that causes this crash.
Comment 12 Charlie Bennett 2013-06-30 09:25:25 EDT
Didn't forget anything.  The bug was filed by ABRT.

The message was a proprietary corporate email, so no core dump.

I can't attach the original message.

I'll see if I can get a simpler repro case teed up for you.
Comment 13 Charlie Bennett 2013-07-01 10:58:07 EDT
Created attachment 767428 [details]
Email that can segfault the Fancy plugin


Pulled this into an MH folder from IMAP and verified that the
local version also causes the core.
Comment 14 Charlie Bennett 2013-07-01 11:06:26 EDT
Created attachment 767430 [details]
email message that can cause the core in Fancy


Previous obsoleted...  BZ admin will be kind enough to delete from the database.
Comment 15 Michael Schwendt 2013-07-01 12:20:41 EDT
Thanks! Reproducible with Fedora 19 and Claws Mail 3.9.2. Opened upstream ticket:
http://www.thewildbeast.co.uk/claws-mail/bugzilla/show_bug.cgi?id=2954
Comment 16 Michael Schwendt 2013-07-12 04:57:38 EDT
| http://git.claws-mail.org/?p=claws.git;a=commitdiff;h=50116eb9aed6b5294cb30317e83ea388a9e41434
| 
| note: this patch prevents the crash but does not implement saving images
Comment 17 Fedora Update System 2013-07-13 11:47:35 EDT
claws-mail-3.9.2-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/claws-mail-3.9.2-3.fc19
Comment 18 Fedora Update System 2013-07-13 12:08:22 EDT
claws-mail-3.9.2-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/claws-mail-3.9.2-3.fc18
Comment 19 Fedora Update System 2013-07-13 23:29:02 EDT
Package claws-mail-3.9.2-3.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing claws-mail-3.9.2-3.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-12959/claws-mail-3.9.2-3.fc19
then log in and leave karma (feedback).
Comment 20 Fedora Update System 2013-07-22 21:10:16 EDT
claws-mail-3.9.2-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2013-07-22 21:17:41 EDT
claws-mail-3.9.2-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.